Foreman - Bug #16532

Selecting architecture in hostgroup doesn't update operating system
09/13/2016 09:18 AM - Ivan Necas

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Host groups
Target version: 1.13.0
Difficulty: easy Fixed in Releases:
Triaged: Found in Releases: 1.13.0
Bugzilla link: 1378571 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3840
Description

1. new hostgroup form
2. select architecture
3. operatingsystems select box stays empty.

Seems like a regressions from
https://github.com/theforeman/foreman/commit/4cbf879ed5957978afd74b3707c8abb16fa18225#diff-8f01b651dai21a774de5a75¢ce7
332f7dL48

Related issues:

Related to Foreman - Feature #12634: New HW Model flag pxe_loader in UI/API Closed 11/30/2015
Related to Foreman - Tracker #431: [TRACKER] UEFI PXE support Resolved
Related to Katello - Bug #16480: Unable to select medium on New Hosts page Closed 09/07/2016

Associated revisions

Revision 1e180a50 - 09/22/2016 03:19 AM - Lukas Zapletal

Fixes #16532 - fixed hostgroup architecture params

Revision 93de1a8b - 09/26/2016 07:38 AM - Lukas Zapletal

Fixes #16532 - fixed hostgroup architecture params

(cherry picked from commit 1e180a50e0d94d90670a3ad4271be94ebc29d6at)

History

#1 - 09/13/2016 09:18 AM - Ivan Necas
- Related to Feature #12634: New HW Model flag pxe_loader in UlI/API added

#2 - 09/13/2016 09:20 AM - Lukas Zapletal
- Assignee set to Lukas Zapletal
- Target version set to 1.6.2

- Difficulty set to easy

#3 - 09/13/2016 09:21 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#4 - 09/14/2016 02:28 AM - Lukas Zapletal
- Related to Tracker #431: [TRACKER] UEFI PXE support added

#5 - 09/14/2016 03:36 AM - The Foreman Bot
- Status changed from New to Ready For Testing
https://github.com/theforeman/foreman/commit/4cbf879ed5957978afd74b3707c8a6b16fa18225#diff-8f01b651da121a774de5a75ce7332f7dL48
https://github.com/theforeman/foreman/commit/4cbf879ed5957978afd74b3707c8a6b16fa18225#diff-8f01b651da121a774de5a75ce7332f7dL48

- Pull request https://github.com/theforeman/foreman/pull/3840 added

#6 - 09/14/2016 03:53 AM - Lukas Zapletal
- Related to Bug #16480: Unable to select medium on New Hosts page added

#7 - 09/14/2016 07:29 AM - Daniel Lobato Garcia
- Target version changed from 1.6.2 to 1.5.2

#8 - 09/22/2016 04:02 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 1e180a50e0d94d90670a3ad4271be94ebc29d6ai.

#9 - 09/22/2016 02:47 PM - Thomas McKay
- Bugzilla link set to 1378571
